﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace Raison7
{
    class NotationValidationRule : ValidationRule
    {
        public int MinNotation { get; set; }
        public int MaxNotation { get; set; }

        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {
            try
            {
                if (MinNotation >= MaxNotation) return new ValidationResult(true, null);
                var i = Int32.Parse(value.ToString());
                if (i<MinNotation) return new ValidationResult(false,
                    string.Format("La valeur ne peut pas être inférieure à {0}",MinNotation));
                if (i > MaxNotation) return new ValidationResult(false,
                                      string.Format("La valeur ne peut pas être supérieure à {0}", MaxNotation));
                return new ValidationResult(true, null);
            }
            catch (Exception ex)
            {
                return new ValidationResult(false,ex.Message);
            }
        }

    }
}
